/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.open.eoa.example.order.manager.service.fault;

import javax.xml.namespace.QName;

import org.bluestemsoftware.specification.eoa.application.spring.MyFault;
import org.w3c.dom.Element;

/**
 * Models wsdl fault 'OrderNotFoundFault' declared on OrderManager interface and thrown by
 * getOrderStatus operation. 
 */
public class OrderNotFoundFault extends MyFault {

    private static final long serialVersionUID = 1L;

    public static final QName NAME = new QName("http://com.mycompany/eoa/om/1.0", "OrderNotFoundFault");

    public OrderNotFoundFault(Element payload) {
        super(NAME, payload);
    }

}
